Loading...
Searching...
No Matches
Transmissibility.hpp File Reference
`#include <dune/common/fvector.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <opm/grid/common/CartesianIndexMapper.hpp>`
`#include <opm/grid/LookUpData.hh>`
`#include <array>`
`#include <functional>`
`#include <map>`
`#include <cstdint>`
`#include <unordered_map>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::Transmissibility< Grid, GridView, ElementMapper, CartesianIndexMapper, Scalar >
struct | Opm::Transmissibility< Grid, GridView, ElementMapper, CartesianIndexMapper, Scalar >::FaceInfo

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Functions

std::uint64_t | Opm::details::isId (std::uint32_t elemIdx1, std::uint32_t elemIdx2)
std::pair< std::uint32_t, std::uint32_t > | Opm::details::isIdReverse (const std::uint64_t &id)
std::uint64_t | Opm::details::directionalIsId (std::uint32_t elemIdx1, std::uint32_t elemIdx2)

## Detailed Description